Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001153Core InformAssertions and creationspublic2013-11-28 18:342014-05-07 07:34
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001153: Abject failure setting conditional text
DescriptionProblem. An internal error has occurred: Too late for further text substitutions. The current sentence is 'now all openable containers indef-article-refer "[if the item described is open]an[else]a[end if]"' ; the error was detected at line 282 of "Chapter 20/String Constants.w". This should never happen, and I am now halting in abject failure.

Minimal Source Text To Reproduce
The Kitchen is a room.
The sack is an openable container in the Kitchen.
The rock is in the sack.

The verb to indef-article-refer (it indef-article-refers, they indef-article-refer, it is indef-article-referring) 
implies the indefinite article property.

When play begins:
	now all openable containers indef-article-refer "[if the item described is open]an[else]a[end if]".

Additional InformationTrying the same assertion in two lines works fine:

When play begins:
let T be "[if the item described is open]an[else]a[end if]";
now all openable containers indef-article-refer T.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships
related to 0001364closedgraham relation involving text subsitutions gives internal error 

-  Notes
(0002240)
graham (administrator)
2014-01-04 07:45

Fixed.

- Issue History
Date Modified Username Field Change
2013-11-28 18:34 zarf New Issue
2013-11-29 08:42 EmacsUser Severity serious => critical
2013-11-29 08:42 EmacsUser Status new => confirmed
2014-01-04 07:45 graham Note Added: 0002240
2014-01-04 07:45 graham Status confirmed => resolved
2014-01-04 07:45 graham Resolution open => fixed
2014-01-04 07:45 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed
2014-07-12 10:01 zarf Relationship added related to 0001364


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker